| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# HbookTool Class Reference

Inheritance diagram for HbookTool:

[legend]
Collaboration diagram for HbookTool:

[legend]

List of all members.

## Detailed Description

Helper tool, which allows to transfere some configurable properties to HFileCnv.

It is useful to e.g. increase the default file parameters like LRECL, mode , etc... In particular it is nesessary to obtain *LARGE* HBOOK-files

The tool has 3 properties

- LRECL : the default record length (default = 1024), it could increased to increase the file capacity.
- NRECL : Number of records (used only if "Q" specified for the MODE)
- MODE : HROPEN mode, (the default value is "P"). "PQ" or even "PQE" should be used for creation of *HUGE* files.
  See also:
    http://cern.ch/webasd/cgi-bin/listpawfaqs.pl/7
  Attention:
    If "LRECL" if different from the default value, do not forget in PAW (in the command "HI/FILE") to specify the "LRECL" parameters. Note that if the recond length is smaller than 8192, PAW is able to autmatically determine the correct record length if "LRECL" parameter is set to 0 for the command "HI/FILE"
  The recommended setup to produce *HUGE* HBOOK files:

- LRECL=4096
- NRECL=512000
- MODE="PQE"

Author:
  Vanya BELYAEV Ivan.Belyaev@itep.ru

Date:
  2005-11-25

Definition at line 61 of file HbookTool.cpp.

## Public Member Functions
| HbookTool (const std::string &type, const std::string &name, const IInterface *parent)
| Standard constructor.
virtual | ~HbookTool ()
## Private Attributes
int | m_LRECL
| Destructor.
int | m_NRECL
std::string | m_MODE

## Constructor & Destructor Documentation

HbookTool::HbookTool | ( | const std::string & | type,
|  | const std::string & | name,
|  | const IInterface * | parent |
| ) |  |  | `[inline]`

Standard constructor.

Parameters:

  | type | the actual tool type (?)
  | name | tool name
  | parent | tool parent

Definition at line 70 of file HbookTool.cpp.

    00073     : AlgTool( type , name , parent )
    00074     //
    00075     , m_LRECL ( 1024 )
    00076     , m_NRECL ( -1   )
    00077     , m_MODE  ( "P"  )
    00078   {
    00079     declareProperty ( "LRECL" , m_LRECL ) ;
    00080     declareProperty ( "NRECL" , m_NRECL ) ;
    00081     declareProperty ( "MODE"  , m_MODE  ) ;
    00082   };

virtual HbookTool::~HbookTool | ( |  | ) | `[inline, virtual]`

Definition at line 84 of file HbookTool.cpp.

    00084 {};

## Member Data Documentation

int HbookTool::m_LRECL`[private]`

Destructor.

Definition at line 84 of file HbookTool.cpp.

int HbookTool::m_NRECL`[private]`

Definition at line 89 of file HbookTool.cpp.

std::string HbookTool::m_MODE`[private]`

Definition at line 90 of file HbookTool.cpp.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/HbookCnv/src/HbookTool.cpp